Subject: Re: [lisp] #63: On the use of anycast addresses for RLOCs (from Y. Rekhter's review)

From: [email-masked] (Noel Chiappa)
Date: Thu, 22 Apr 2010 17:55:36 -0400 (EDT)

> From: Yakov Rekhter <[email-masked]>

    > Use of anycast addresses for resiliency in LISP results in inability to
    > use LISP for traffic engineering among the xTRs that use the same
    > anycast address

Yes, but the question is 'why would one be using anycast addresses in that
application anyway'? Philosophically, routing functions such as traffic
engineering requires use of 'real addresses', and use of a 'virtual address'
such as an anycast address is in direct contradiction to that.

If a site has multiple ETRs, and one fails, RLOC reachability tests will
pretty quickly (depending on the routing scope of the anycast address, and
the reachability test parameters, perhaps more quickly than the routing can
re-route) declare it down, and all correspondent ITRs would switch to using
other ITRs. That is how LISP is intended to produce resiliency to node
failures.

	Noel